include:
    - project: 'renovate-bot/renovate-runner'
      file: '/templates/renovate-config-validator.gitlab-ci.yml'
      ref: v18.60.0

    - project: 'renovate-bot/renovate-runner'
      file: '/templates/renovate.gitlab-ci.yml'
      ref: v18.60.0

variables:
  MIX_ENV: "test"

mix:
  image: bitwalker/alpine-elixir-phoenix:latest
  before_script:
    - mix local.rebar --force
    - mix local.hex --force
    - mix deps.get --only test
  script:
    - mix sentry.send_test_event
  rules:
    - if: $CI_PIPELINE_SOURCE != "schedule"
